Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1558243 - [abrt] python3-nbconvert: resolve(): __init__.py:870:resolve:pkg_resources.DistributionNotFound: The 'bleach' distribution was not found and is required by nbconvert
Summary: [abrt] python3-nbconvert: resolve(): __init__.py:870:resolve:pkg_resources.Di...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nbconvert
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7f03449911d8b696ebd47b2e4c9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-19 21:22 UTC by Jan Vesely
Modified: 2018-11-30 20:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:41:52 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (3.05 KB, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: cgroup (355 bytes, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: cpuinfo (1.17 KB, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: environ (3.70 KB, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: namespaces (129 bytes, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: open_fds (249 bytes, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details

Description Jan Vesely 2018-03-19 21:22:43 UTC
Version-Release number of selected component:
python3-nbconvert-5.3.1-3.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/jupyter-nbconvert --log-level WARN --to notebook --execute --ExecutePreprocessor.timeout=300 --stdout '/home/vesely/PsyNeuLink/tutorial/PsyNeuLink Tutorial.ipynb'
crash_function: resolve
exception_type: pkg_resources.DistributionNotFound
executable:     /usr/bin/jupyter-nbconvert
kernel:         4.15.8-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:870:resolve:pkg_resources.DistributionNotFound: The 'bleach' distribution was not found and is required by nbconvert

Traceback (most recent call last):
  File "/usr/bin/jupyter-nbconvert", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3141, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3125, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3154, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 666, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 984, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 870, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'bleach' distribution was not found and is required by nbconvert

Local variables in innermost frame:
new_requirement: Requirement.parse('mistune>=0.7.4')
new_requirements: []
requirers: {'nbconvert'}
ws: <pkg_resources.WorkingSet object at 0x7f989070a2b0>
dist: None
req: Requirement.parse('bleach')
required_by: defaultdict(<class 'set'>, {Requirement.parse('testpath'): {'nbconvert'}, Requirement.parse('pandocfilters>=1.4.1'): {'nbconvert'}, Requirement.parse('bleach'): {'nbconvert'}, Requirement.parse('entrypoints>=0.2.2'): {'nbconvert'}, Requirement.parse('nbformat>=4.4'): {'nbconvert'}, Requirement.parse('jupyter_core'): {'nbconvert'}, Requirement.parse('traitlets>=4.2'): {'nbconvert'}, Requirement.parse('pygments'): {'nbconvert'}, Requirement.parse('jinja2'): {'nbconvert'}, Requirement.parse('mistune>=0.7.4'): {'nbconvert'}})
req_extras: {Requirement.parse('testpath'): (), Requirement.parse('pandocfilters>=1.4.1'): (), Requirement.parse('bleach'): (), Requirement.parse('entrypoints>=0.2.2'): (), Requirement.parse('nbformat>=4.4'): (), Requirement.parse('jupyter_core'): (), Requirement.parse('traitlets>=4.2'): (), Requirement.parse('pygments'): (), Requirement.parse('jinja2'): (), Requirement.parse('mistune>=0.7.4'): ()}
to_activate: [nbconvert 5.3.1 (/usr/lib/python3.6/site-packages), testpath 0.3.1 (/usr/lib/python3.6/site-packages), pandocfilters 1.4.1 (/usr/lib/python3.6/site-packages)]
best: {'bleach': None}
processed: {Requirement.parse('nbconvert==5.3.1'): True, Requirement.parse('testpath'): True, Requirement.parse('pandocfilters>=1.4.1'): True}
extras: None
replace_conflicting: False
installer: None
env: <pkg_resources.Environment object at 0x7f98906c9ef0>
requirements: [Requirement.parse('entrypoints>=0.2.2'), Requirement.parse('nbformat>=4.4'), Requirement.parse('jupyter_core'), Requirement.parse('traitlets>=4.2'), Requirement.parse('pygments'), Requirement.parse('jinja2'), Requirement.parse('mistune>=0.7.4')]
self: <pkg_resources.WorkingSet object at 0x7f989070a2b0>

Comment 1 Jan Vesely 2018-03-19 21:22:47 UTC
Created attachment 1410149 [details]
File: backtrace

Comment 2 Jan Vesely 2018-03-19 21:22:48 UTC
Created attachment 1410150 [details]
File: cgroup

Comment 3 Jan Vesely 2018-03-19 21:22:49 UTC
Created attachment 1410151 [details]
File: cpuinfo

Comment 4 Jan Vesely 2018-03-19 21:22:50 UTC
Created attachment 1410152 [details]
File: environ

Comment 5 Jan Vesely 2018-03-19 21:22:51 UTC
Created attachment 1410153 [details]
File: mountinfo

Comment 6 Jan Vesely 2018-03-19 21:22:52 UTC
Created attachment 1410154 [details]
File: namespaces

Comment 7 Jan Vesely 2018-03-19 21:22:53 UTC
Created attachment 1410155 [details]
File: open_fds

Comment 8 Fedora Update System 2018-03-20 01:53:01 UTC
python-nbconvert-5.3.1-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec7929eb68

Comment 9 Fedora Update System 2018-03-20 01:53:17 UTC
python-nbconvert-5.3.1-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f5d2aa9b7

Comment 10 Fedora Update System 2018-03-20 14:54:12 UTC
python-nbconvert-5.3.1-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec7929eb68

Comment 11 Fedora Update System 2018-03-20 19:38:42 UTC
python-nbconvert-5.3.1-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f5d2aa9b7

Comment 12 Fedora Update System 2018-03-28 23:48:57 UTC
python-nbconvert-5.3.1-7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-30 13:09:27 UTC
python-nbconvert-5.3.1-7.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Ben Cotton 2018-11-27 16:24:30 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 20:41:52 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.